Subject: Re: [E1000-devel] [regression] e1000e broke e1000

From: "Kok, Auke" <[email-masked]>
Date: Tue, 08 Apr 2008 13:47:09 -0700

Ingo Molnar wrote:
> * Jeff Garzik <[email-masked]> wrote:
> 
>> Ingo Molnar wrote:
>>> i repeat, it took me more than an hour to figure out why there's no 
>>> networking on my laptop. Guess how much it takes for a plain user to 
>>> figure out the same problem.
>> A plain user would have obtained a working distro kernel, putting this 
>> rare problem purely in the laps of people with highly unusual kernel 
>> configs...
>>
>> But as noted in the announcement, the fix is for this is to continue 
>> in the next step in the transition, then you only have one driver 
>> claiming those IDs, for any given config.  No need for further Kconfig 
>> tweakage.
> 
> i find it mindboggling and rather sad that you are still in denial :-(
> 
> this is an obvious regression to me, with a very simple fix. No other 
> PCI driver breaks like this. We've got three thousand Kconfig options - 
> it is clearly not realistic for users to keep such details in mind to 
> avoid pitfalls. E1000=y && E1000E=m is uncommon but can easily happen. 
> E1000=y && E1000E=m simply makes no sense in light of the PCI ID 
> stealing that occurs if E1000E is enabled.

hence the patch that is in jeff's upstream tree that puts an end to this :)

Auke